PHP ��U
前一頁 |  | 下一頁

# runkit_class_adopt

(PECL)

runkit_class_adopt -- Convert a base class to an inherited class, add ancestral methods when appropriate

## Description

bool runkit_class_adopt ( string classname, string parentname )

## Parameters

classname

  Name of class to be adopted

parentname

  Parent class which child class is extending

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. A runkit_class_adopt() example

`<?php class myParent { function parentFunc() { echo "Parent Function Output\n"; } } class myChild { } runkit_class_adopt('myChild','myParent'); myChild::parentFunc(); ?>`

The above example will output:

    Parent Function Output

## �Ѧ�

runkit_class_emancipate()

前一頁 | 內容 | 下一頁
Runkit_Sandbox_Parent | 上一層 | runkit_class_emancipate